clang-tools 10.0.0

Classes | Namespaces | Functions
SymbolLocation.h File Reference
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <cstdint>`
Include dependency graph for SymbolLocation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::SymbolLocation
struct | clang::clangd::SymbolLocation::Position

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
bool | clang::clangd::operator== (const SymbolLocation::Position &L, const SymbolLocation::Position &R)
bool | clang::clangd::operator< (const SymbolLocation::Position &L, const SymbolLocation::Position &R)
bool | clang::clangd::operator== (const SymbolLocation &L, const SymbolLocation &R)
bool | clang::clangd::operator< (const SymbolLocation &L, const SymbolLocation &R)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const SymbolLocation &L)